
TYPO3.Kickstart - Bug # 7676

Status: Resolved Priority: Must have
Author: Soren Malling Category:
Created: 2010-05-05 Assigned To: Karsten Dambekalns
Updated: 2010-10-20 Due date:
Affected Flow version:
Subject: repository kickstarter create invalid PHP
Description

Using FLOW3 1.0.0 Alpha 8

./flow3 kickstart PhotoDatabase image

created the following PHP, which is invalid due to missing {}

class ImageRepository extends \F3\FLOW3\Persistence\Repository

It should be

class ImageRepository extends \F3\FLOW3\Persistence\Repository {

}

Sorry if this is fixed in SVN, but couldn't find any other issue on this one

History
#1 - 2010-05-06 09:25 - Michael Sauter

I think this is a problem with Fluid, see bug #6779.

#2 - 2010-05-06 09:31 - Soren Malling

Michael Sauter wrote:

I think this is a problem with Fluid, see bug #6779.

Must disagree :) the domain model and controller are created with no errors and the template looked 99% the same when I had a look at them
yesterday

#3 - 2010-05-06 10:16 - Michael Sauter

Søren Malling wrote:

Michael Sauter wrote:
I think this is a problem with Fluid, see bug #6779.

Must disagree :) the domain model and controller are created with no errors and the template looked 99% the same when I had a look at them
yesterday

I know, they're 99% the same. But there's 1% difference :)
Quick fix: Open up Packages/Framework/Kickstart/Resources/Private/Generator/Repository/RepositoryTemplate.php.tmpl and add a comment in
between the curly brackets. This will result in a correct PHP file.

#4 - 2010-05-12 12:35 - Karsten Dambekalns
- Status changed from New to Accepted
- Assigned To set to Karsten Dambekalns
- Start date deleted (2010-05-05)

#5 - 2010-05-12 12:36 - Karsten Dambekalns
- Project changed from TYPO3.Flow to kickstarter

#6 - 2010-05-12 12:38 - Karsten Dambekalns
- Project changed from kickstarter to TYPO3.Kickstart

#7 - 2010-09-13 15:10 - Karsten Dambekalns
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100
